# Papers

List of papers that have used PorePy to generate (parts of) the numerical results. The indicated year is the first submission on [arXiv](https://arxiv.org/).

###### 2020 ######
* [arXiv:2005.09437 [math.NA]](https://github.com/alessiofumagalli/arXiv_2005_0943) paper "*A mathematical model for thermal single-phase flow and reactive transport in fractured porous media*" by Alessio Fumagalli, Anna Scotti. See [arXiv pre-print](https://arxiv.org/abs/2005.09437).
* arXiv:2003.14279 [physics.comp-ph] paper "*Numerical Methods for Flow in Fractured Porous Media*" by Luca Formaggia, Anna Scotti, Alessio Fumagalli. See [arXiv pre-print](https://arxiv.org/abs/2003.14279).
* [arXiv:2002.11974 [math.NA]](https://github.com/alessiofumagalli/arXiv_2002_11974) paper "*Performances of the mixed virtual element method on complex grids for underground flow*" by Alessio Fumagalli, Anna Scotti, Luca Formaggia. See [arXiv pre-print](https://arxiv.org/abs/2002.11974).
* [arXiv:2002.07005 [math.NA]](https://github.com/pmgbergen/arXiv_1809_06926) paper "*Verification benchmarks for single-phase flow in three-dimensional fractured porous media*" by Inga Berre, Wietse M. Boon, Bernd Flemisch, Alessio Fumagalli, Dennis Gläser, Eirik Keilegavlen, Anna Scotti, Ivar Stefansson, Alexandru Tatomir, Konstantin Brenner, Samuel Burbulla, Philippe Devloo, Omar Duran, Marco Favino, Julian Hennicker, I-Hsien Lee, Konstantin Lipnikov, Roland Masson, Klaus Mosthaf, Maria Giuseppina Chiara Nestola, Chuen-Fa Ni, Kirill Nikitin, Philipp Schädle, Daniil Svyatskiy, Ruslan Yanbarisov, Patrick Zulian. See [arXiv pre-print](https://arxiv.org/abs/2002.07005).
###### 2019 ######
* [arXiv:1908.09869 [math.NA]](https://zenodo.org/record/3374624#.XWjdt3X7T0o) paper "*PorePy: An Open-Source Software for Simulation of Multiphysics Processes in Fractured Porous Media.*" by Eirik Keilegavlen, Runar Berge, Alessio Fumagalli, Michele Starnoni, Ivar Stefansson, Jhabriel Varela, Inga Berre. See [arXiv pre-print](https://arxiv.org/abs/1908.09869).
* [arXiv:1906.10472 [physics.flu-dyn]](http://doi.org/10.5281/zenodo.3249931) paper "*Viscous fingering in fractured porous media*" by Runar Lie Berge, Inga Berre, Eirik Keilegavlen, Jan Martin Nordbotten. (2019, June 19).  See [arXiv pre-print](https://arxiv.org/abs/1906.10472).
* [arXiv:1904.11916 [math.NA]](http://doi.org/10.5281/zenodo.2652762) paper "*Finite volume discretization for poroelastic media with fractures modeled by contact mechanics*" by Runar Lie Berge, Inga Berre, Eirik Keilegavlen, Jan Martin Nordbotten, Barbara Wohlmuth. (2019, April 27). See [arXiv pre-print](https://arxiv.org/abs/1904.11916) or [journal article](https://onlinelibrary.wiley.com/doi/full/10.1002/nme.6238).
* arXiv:1903.01757 [math.NA] paper "*Stable Mixed Finite Elements for Linear Elasticity with Thin Inclusions*" by Wietse M. Boon, Jan Martin Nordbotten. (2019, March 5).  See [arXiv pre-print](https://arxiv.org/abs/1903.01757).
* [arXiv:1907.12514 [math.NA]](https://github.com/alessiofumagalli/dfn_transport) paper "*Analysis of conforming, non-matching, and polygonal methods for Darcy and advection-diffusion-reaction simulations in discrete fracture networks*" by Andrea Borio, Alessio Fumagalli, Stefano Scialò. See [arXiv pre-print](https://arxiv.org/abs/1907.12514).
* [arXiv:1906.05831 [math.NA]](https://github.com/alessiofumagalli/multiscale_timedependent) paper "*Robust linear domain decomposition schemes for reduced non-linear fracture flow models*" by Elyes Ahmed, Alessio Fumagalli, Ana Budiša, Eirik Keilegavlen, Jan M. Nordbotten, A. Radu Florin. See [arXiv pre-print](https://arxiv.org/abs/1906.05831).
* [arXiv:1905.13513 [math.NA]](https://github.com/anabudisa/md_block_precond) paper "*Block Preconditioners for Mixed-dimensional Discretization of Flow in Fractured Porous Media*" by Ana Budiša and Xiaozhe Hu. See [arXiv pre-print](https://arxiv.org/abs/1905.13513) or [journal article](https://link.springer.com/article/10.1007%2Fs10596-020-09984-z).
* [arXiv:1903.01117 [math.NA]](https://github.com/alessiofumagalli/arXiv_1903_01117/) paper "*A multi-layer reduced model for flow in porous media with a fault and surrounding damage zones*" by Alessio Fumagalli, Anna Scotti. See [arXiv pre-print](https://arxiv.org/abs/1903.01117) or [journal article](https://link.springer.com/article/10.1007/s10596-020-09954-5).
###### 2018 ######
* [arXiv:1810.12761 [math.NA]](https://github.com/pmgbergen/arXiv_1810_12761) paper "*A multiscale flux basis for mortar mixed discretizations of reduced Darcy-Forchheimer fracture models*" by Elyes Ahmed, Alessio Fumagalli, Ana Budiša. See [arXiv pre-print](https://arxiv.org/abs/1810.12761) or [journal article](https://www.sciencedirect.com/science/article/pii/S0045782519303044).
* [arXiv:1809.06926 [math.NA]](https://github.com/pmgbergen/arXiv_1809_06926) paper "*Call for participation: Verification benchmarks for single-phase flow in three-dimensional fractured porous media*" by Inga Berre, Wietse Boon, Bernd Flemisch, Alessio Fumagalli, Dennis Glaser, Eirik Keilegavlen, Anna Scotti, Ivar Stefansson, Alexandru Tatomir. See [arXiv pre-print](https://arxiv.org/abs/1809.06926).
* [arXiv:1802.05961 [math.NA]](https://github.com/pmgbergen/arXiv_1802_05961) paper "*Unified approach to discretization of flow in fractured porous media*" by Jan M. Nordbotten, Wietse M. Boon, Alessio Fumagalli, and  Eirik Keilegavlen. See [arXiv pre-print](https://arxiv.org/abs/1802.05961) or [journal article](https://link.springer.com/article/10.1007/s10596-018-9778-9).
* [arXiv:1803.01732 [math.NA]](https://github.com/pmgbergen/arXiv_1803_01732) paper "*Conforming, non-conforming and non-matching discretization couplings in discrete fracture network simulations*" by Alessio Fumagalli, Eirik Keilegavlen, and Stefano Scialo'. See [arXiv pre-print](https://arxiv.org/abs/1803.01732) or [journal article](https://www.sciencedirect.com/science/article/pii/S0021999118306508).
###### 2017 ######
* [arXiv:1712.08479 [math.NA]](https://github.com/pmgbergen/arXiv_1712_08479) paper "*Hybrid-Dimensional Finite Volume Discretizations for Fractured Porous Media*" by Ivar Stefansson, Inga Berre, Eirik Keilegavlen. See [arXiv pre-print](https://arxiv.org/abs/1712.08479)
* [arXiv:1712.07392 [math.NA]](https://github.com/pmgbergen/arXiv_1712_07392) paper "*Implementation of mixed-dimensional models for flow in fractured porous media*" by Eirik Keilegavlen, Alessio Fumagalli, Runar Berge, Ivar Stefansson. See [arXiv pre-print](https://arxiv.org/abs/1712.07392) or [journal article](https://www.springerprofessional.de/en/implementation-of-mixed-dimensional-models-for-flow-in-fractured/16377424).
* [arXiv:1712.00460 [math.NA]](https://github.com/pmgbergen/arXiv_1712_00460) paper "*PorePy: An Open-Source Simulation Tool for Flow and Transport in Deformable Fractured Rocks*" by Eirik Keilegavlen, Alessio Fumagalli, Runar Berge, Ivar Stefansson, Inga Berre. See [arXiv pre-print](https://arxiv.org/abs/1712.00460).
* [arXiv:1711.01818 [math.NA]](https://github.com/pmgbergen/arXiv_1711_01818/) paper "*Dual Virtual Element Methods for Discrete Fracture Matrix Models*" by Alessio Fumagalli, Eirik Keilegavlen. See [arXiv pre-print](https://arxiv.org/abs/1711.01818) or [journal article](https://ogst.ifpenergiesnouvelles.fr/articles/ogst/full_html/2019/01/ogst170210/ogst170210.html).
* [arXiv:1709.03519 [math.NA]](https://github.com/alessiofumagalli/arXiv_1709_03519/) paper "*Dual virtual element method in presence of an inclusion*" by Alessio Fumagalli. See [arXiv pre-print](https://arxiv.org/abs/1709.03519) or [journal article](https://www.sciencedirect.com/science/article/pii/S0893965918301812).
###### 2016 ######
* [arXiv:1610.02905 [math.NA]](https://github.com/pmgbergen/arXiv_1610_02905/) paper "*Dual virtual element method for discrete fractures networks*" by Alessio Fumagalli, Eirik Keilegavlen. See [arXiv pre-print](https://arxiv.org/abs/1610.02905) or [journal article](https://epubs.siam.org/doi/abs/10.1137/16M1098231).
