# Tutorials
This folder contains tutorials that show the basic workings of PorePy. To follow the tutorials, you can download the files (either by cloning the repository, or download the individual files), and run them as Jupyter Notebooks.

In addition to the tutorials contained herein, we are working on providing more advanced examples that further illustrate the usage of PorePy. 

# Overview

* **get_started**: Set up a pressure equation on a Cartesian grid in 2d, and discretize it with the two-point flux approximation. Assign parameter values (permeability, boundary condition, source terms), and plot solution.

* **grid_structure**: Introduction to the grid structure used in PorePy. Shows construction of different types of grids. Also dives into the data structure, and shows how to access and manipulate grid quantities.

* **single_phase_flow**: Show different discretization methods available for the pressure equation.

* **mpfa**: Set up and solve a flow problem using the multi-point flux approximation method

* **mpsa**: Set up and solve a mechanics problem using the multi-point stress approximation method

* **meshing_of_fractures**: Define fractures and fracture networks in 3d domain, construct meshes in multiple dimensions, create mixed-dimensional representation of the grid.

* **fracture_extrusion**: Simple functionality to extrude a 3d fracture network from a 2d outcrop.
